git.lirion.de

Of git, get, and gud

summaryrefslogtreecommitdiffstats
path: root/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa
diff options
context:
space:
mode:
Diffstat (limited to 'nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa')
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_cert_expire_dir_check_name_fix14
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages-inifile13
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_,_fix30
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_location11
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_running_kernel_jessie_centos_fix42
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/epn8
-rw-r--r--nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/status_directory22
7 files changed, 140 insertions, 0 deletions
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_cert_expire_dir_check_name_fix b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_cert_expire_dir_check_name_fix
new file mode 100644
index 0000000..6d8cb38
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_cert_expire_dir_check_name_fix
@@ -0,0 +1,14 @@
+--- a/dsa/checks/dsa-check-cert-expire-dir
++++ b/dsa/checks/dsa-check-cert-expire-dir
+@@ -26,9 +26,9 @@
+
+ sn="$0"
+ if [ "${sn%/*}" = "$sn" ]; then
+- CERT_CHECK=dsa-check-cert-expire
++ CERT_CHECK=check_cert_expire
+ else
+- CERT_CHECK="${sn%/*}/dsa-check-cert-expire"
++ CERT_CHECK="${sn%/*}/check_cert_expire"
+ fi
+
+ if [ "$#" != 1 ] ; then
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages-inifile b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages-inifile
new file mode 100644
index 0000000..056b70a
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages-inifile
@@ -0,0 +1,13 @@
+--- a/dsa/checks/dsa-check-packages
++++ b/dsa/checks/dsa-check-packages
+@@ -37,8 +37,8 @@ use strict;
+ use warnings;
+ use English;
+
+-my $IGNORE = "/etc/nagios/obsolete-packages-ignore";
+-my $IGNORED = "/etc/nagios/obsolete-packages-ignore.d";
++my $IGNORE = "/etc/nagios-plugins/obsolete-packages-ignore";
++my $IGNORED = "/etc/nagios-plugins/obsolete-packages-ignore.d";
+
+ my %CODE = (
+ 'OK' => 0,
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_,_fix b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_,_fix
new file mode 100644
index 0000000..a000369
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_,_fix
@@ -0,0 +1,30 @@
+--- a/dsa/checks/dsa-check-packages
++++ b/dsa/checks/dsa-check-packages
+@@ -334,7 +334,7 @@ for my $form (@reportform) {
+ push @perfout, sprintf($form->{'perf'}, $num);
+ next unless ($num > 0);
+ if ($form->{'listpackages'}) {
+- my $list = join(", ", keys %$pkgs);
++ my $list = join(" ", keys %$pkgs);
+ push @longout, sprintf($form->{'long'}, $num, $list);
+ } else {
+ push @longout, sprintf($form->{'long'}, $num);
+@@ -344,15 +344,15 @@ for my $form (@reportform) {
+ };
+ if (scalar keys %$packages) {
+ record('WARNING');
+- unshift @shortout, "unk: ".join(", ", keys %$packages);
++ unshift @shortout, "unk: ".join(" ", keys %$packages);
+ for my $status (sort {$b cmp $a} keys %$packages) {
+ my $pkgs = $packages->{$status};
+- my $list = join(", ", keys %$pkgs);
++ my $list = join(" ", keys %$pkgs);
+ unshift @longout, "Unknown package status $status: $list";
+ };
+ }
+
+-my $shortout = $EXITCODE.": ".join(", ", @shortout);
++my $shortout = $EXITCODE.": ".join(" ", @shortout);
+ my $longout = join("\n", @longout);
+ my $perfout = "|".join(" ", @perfout);
+
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_location b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_location
new file mode 100644
index 0000000..eb71d75
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_packages_location
@@ -0,0 +1,11 @@
+--- a/dsa/sbin/dsa-update-apt-status
++++ b/dsa/sbin/dsa-update-apt-status
+@@ -78,7 +78,7 @@ fi
+ tmp=`tempfile`
+ trap "rm -f '$tmp'" exit
+ #/usr/share/dsa/apt-status-check --noupdate --timeout=600 > "$tmp"
+-/usr/lib/nagios/plugins/dsa-check-packages > "$tmp"
++/usr/lib/nagios/plugins/check_packages > "$tmp"
+ result="$?"
+ case "$result" in
+ 0)
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_running_kernel_jessie_centos_fix b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_running_kernel_jessie_centos_fix
new file mode 100644
index 0000000..e850e2f
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/check_running_kernel_jessie_centos_fix
@@ -0,0 +1,42 @@
+--- a/dsa/checks/dsa-check-running-kernel
++++ b/dsa/checks/dsa-check-running-kernel
+@@ -131,6 +131,11 @@
+ filter="$3"
+ hdroff="$4"
+
++ if ! which $filter >/dev/null; then
++ echo "UNKNOWN: filter command '$filter' missing, perhaps install xz-utils?" >&2
++ exit $UNKNOWN
++ fi
++
+ get_offset "$image" $header | head -n 5 | while read off; do
+ (if [ "$off" != 0 ]; then
+ dd ibs="$((off+hdroff))" skip=1 count=0
+@@ -182,9 +187,8 @@
+
+ searched=""
+ for on_disk in \
+- "/boot/vmlinuz-`uname -r`"\
+- "/boot/vmlinux-`uname -r`"\
+- "/boot/kfreebsd-`uname -r`.gz"; do
++ $([ -f "/boot/vmlinuz-$(uname -r)" ] && find /boot/ -name 'vmlinuz*' -and -name "vmlinuz-$(uname -r)" -or -name 'vmlinuz*' -and -newer "/boot/vmlinuz-$(uname -r)" | sort) \
++ $([ -f "/boot/kfreebsd-$(uname -r).gz" ] && find /boot/ -name 'kfreebsd*' -and -name "kfreebsd-$(uname -r).gz" -or -name 'kfreebsd*' -and -newer "/boot/kfreebsd-$(uname -r).gz" | sort); do
+
+ if [ -e "$on_disk" ]; then
+ if [ -z "$STRINGS" ]; then
+@@ -196,12 +200,12 @@
+ if [ -x /usr/bin/lsb_release ] ; then
+ vendor=$(lsb_release -i -s)
+ if [ -n "$vendor" ] && [ "xDebian" != "x$vendor" ] ; then
+- on_disk_version=$( echo $on_disk_version|sed -e "s/ ($vendor [[:alnum:]\.-]\+ [[:alnum:]\.]\+)//")
++ on_disk_version=$( echo $on_disk_version|sed -e "s/ ($vendor [[:alnum:]\.-]\+ [[:alnum:]\.-]\+)//")
+ fi
+ fi
+- [ -z "$on_disk_version" ] || break
++ [ -z "$on_disk_version" ] || continue
+ on_disk_version="`cat "$on_disk" | $STRINGS | grep 'Linux version' | head -n1`"
+- [ -z "$on_disk_version" ] || break
++ [ -z "$on_disk_version" ] || continue
+
+ echo "UNKNOWN: Failed to get a version string from image $on_disk"
+ exit $UNKNOWN
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/epn b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/epn
new file mode 100644
index 0000000..7f31e58
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/epn
@@ -0,0 +1,8 @@
+--- a/dsa/checks/dsa-check-packages
++++ b/dsa/checks/dsa-check-packages
+@@ -1,4 +1,5 @@
+ #!/usr/bin/perl
++# nagios: -epn
+
+ # dsa-check-packages
+
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/status_directory b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/status_directory
new file mode 100644
index 0000000..5798d55
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/debian/patches/dsa/status_directory
@@ -0,0 +1,22 @@
+--- a/dsa/sbin/dsa-update-apt-status
++++ b/dsa/sbin/dsa-update-apt-status
+@@ -22,7 +22,7 @@
+ # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+ UPDATE_RUNS=3
+-STATUSDIR=/var/cache/dsa/nagios
++STATUSDIR=/var/cache/nagios_status
+ STATUS="${STATUSDIR}"/apt
+ SLEEP_MAX=$(( 15 * 60 ))
+ MAX_AGE=$(( 23 * 60 * 60 ))
+--- a/dsa/sbin/dsa-update-unowned-file-status
++++ b/dsa/sbin/dsa-update-unowned-file-status
+@@ -22,7 +22,7 @@
+ # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+ CUTOFF=40
+-STATUSDIR=/var/cache/dsa/nagios
++STATUSDIR=/var/cache/nagios_status
+ STATUS="${STATUSDIR}"/nouser
+
+ mkdir -p "${STATUSDIR}"